The BOOST_PP_VARIADIC_TO_TUPLE variadic macro converts variadic data to a tuple.

#### Usage

BOOST_PP_VARIADIC_TO_TUPLE(...) (v)

#### Arguments

...
  The variadic data to be converted.

#### Requirements

Header: <boost/preprocessor/variadic/to_tuple.hpp>

#### Sample Code

    #include <boost/preprocessor/variadic/to_tuple.hpp>

    #define VAR_DATA a, b, c

    BOOST_PP_VARIADIC_TO_TUPLE(VAR_DATA) // expands to (a, b, c)

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)